<template>
  <div class="white-block">
    <div class="row">
      <div class="padding">
        <h3>Страхование займа</h3>
      </div>
      <hr>
      <div class="checkbox padding">
        <input name="insurance" id="insurance" type="checkbox" @click="click" :checked="value">
        <label for="insurance"><span></span>

          Страховая сумма {{sum|currency}} ₽. При возникновении страхового случая появляется
          возможность закрыть займ за счет страховой суммы*. <br>Стоимость {{price}} ₽.
        </label>
        <p class="tip">* - подробная информация в <a @click.prevent="openPopup('http://static.webbankir.com/public/docs/insurance-rules.pdf')" href="#">правилах страхования</a> от несчастных случаев</p>
      </div>
    </div>
  </div>
</template>

<script>
    export default {
      name: 'InsuranceCheckbox',
      props: {
		  value: {
		  	  type: Boolean,
		     	required: true,
        },
        sum: {
          type: Number,
          required: true,
        },
        price: {
          type: Number,
          required: true,
        },
        daysCount: {
			    type: Number,
          default: 30,
        },
      },

      methods: {
        click ({target}) {
          this.$emit('input', target.checked);
        }
      },
      created () {
        console.log(this.value)
      }
    }
</script>

<style scoped>

</style>
